from unittest import TestCase

import os

class USB_3_C_Left2_Test(TestCase):
    LANGUAGES = {
        'zh': {
            'USB_3_C_Left2_Test': 'USB 3.0 C口（左2）',
            'test_read_product': '识别产品名称'
        },
        'en': {
            'USB_3_C_Left2_Test': 'USB 3.0 Type C (Left2)',
            'test_read_product': 'Read product name'
        }
    }

    def test_read_product(self):
        u3_hub_dir = '/sys/devices/platform/soc/soc:usb3@0/c0a00000.dwc3/xhci-hcd.0.auto/usb3/3-1/'
        self.assertTrue(os.path.exists(f'{u3_hub_dir}/product'))
        self.assertTrue(os.path.exists(f'{u3_hub_dir}/3-1.2/product'))
